package com.gic.haoban.manage.web.vo.moment;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 
 * @ClassName: TabHaobanQwMomentPlan
 * @Description: TODO
 * @Author 徐高华
 * @Date 2025年03月05日 10:27:20
 * @Modify
 * @CopyRight 杭州
 */
public class MomentPlanExcelVO implements Serializable {

	private static final long serialVersionUID = 67027585759300L;

	/**
	 * 活动id
	 */
	private Long planId;
	/**
	 * 名称
	 */
	private String title;
	/**
	 * 描述
	 */
	private String remark;
	/**
	 * 开始时间
	 */
	private Date beginDate;
	/**
	 * 结束结束
	 */
	private Date endDate;
	/**
	 * 几天后失效
	 */
	private int expireDays;
	/**
	 * 执行方式 0企微1好办小程序
	 */
	private Integer execType;
	private String execTypeExcel;
	/**
	 * 创建人
	 */
	private String creatorName;
	/**
	 * 1进行中 2终止  0未开始 3 已结束
	 */
	private Integer statusFlag;
	private String statusFlagExcel;
	/**
	 * 1立即发布2定时发布
	 */
	private Integer publishType;
	/**
	 * 发布时间
	 */
	private Date publishTime;
	/**
	 * 0全部导购 1部分导购
	 */
	private Integer planClerkType;
	/**
	 * 总任务数
	 */
	private Integer totalNum;

	/**
	 * 成功下发导购数据
	 */
	private Integer taskClerkNum ;

	/**
	 * 执行任务数
	 */
	private Integer doneNum;

	/**
	 * 完成率
	 */
	private Double execRateFloat ;
	/**
	 * 终止时间
	 */
	private Date stopTime;
	/**
	 * 创建时间
	 */
	private Date createTime;
	/**
	 * 总点赞数
	 */
	private Integer totalLikeCount;
	/**
	 * 总评论数
	 */
	private Integer totalCommentCount;

	public Long getPlanId() {
		return planId;
	}

	public void setPlanId(Long planId) {
		this.planId = planId;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public Date getBeginDate() {
		return beginDate;
	}

	public void setBeginDate(Date beginDate) {
		this.beginDate = beginDate;
	}

	public Date getEndDate() {
		return endDate;
	}

	public void setEndDate(Date endDate) {
		this.endDate = endDate;
	}

	public int getExpireDays() {
		return expireDays;
	}

	public void setExpireDays(int expireDays) {
		this.expireDays = expireDays;
	}

	public Integer getExecType() {
		return execType;
	}

	public void setExecType(Integer execType) {
		this.execType = execType;
	}

	public String getExecTypeExcel() {
		return execTypeExcel;
	}

	public void setExecTypeExcel(String execTypeExcel) {
		this.execTypeExcel = execTypeExcel;
	}

	public String getCreatorName() {
		return creatorName;
	}

	public void setCreatorName(String creatorName) {
		this.creatorName = creatorName;
	}

	public Integer getStatusFlag() {
		return statusFlag;
	}

	public void setStatusFlag(Integer statusFlag) {
		this.statusFlag = statusFlag;
	}

	public String getStatusFlagExcel() {
		return statusFlagExcel;
	}

	public void setStatusFlagExcel(String statusFlagExcel) {
		this.statusFlagExcel = statusFlagExcel;
	}

	public Integer getPublishType() {
		return publishType;
	}

	public void setPublishType(Integer publishType) {
		this.publishType = publishType;
	}

	public Date getPublishTime() {
		return publishTime;
	}

	public void setPublishTime(Date publishTime) {
		this.publishTime = publishTime;
	}

	public Integer getPlanClerkType() {
		return planClerkType;
	}

	public void setPlanClerkType(Integer planClerkType) {
		this.planClerkType = planClerkType;
	}

	public Integer getTotalNum() {
		return totalNum;
	}

	public void setTotalNum(Integer totalNum) {
		this.totalNum = totalNum;
	}

	public Integer getTaskClerkNum() {
		return taskClerkNum;
	}

	public void setTaskClerkNum(Integer taskClerkNum) {
		this.taskClerkNum = taskClerkNum;
	}

	public Integer getDoneNum() {
		return doneNum;
	}

	public void setDoneNum(Integer doneNum) {
		this.doneNum = doneNum;
	}

	public Double getExecRateFloat() {
		return execRateFloat;
	}

	public void setExecRateFloat(Double execRateFloat) {
		this.execRateFloat = execRateFloat;
	}

	public Date getStopTime() {
		return stopTime;
	}

	public void setStopTime(Date stopTime) {
		this.stopTime = stopTime;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Integer getTotalLikeCount() {
		return totalLikeCount;
	}

	public void setTotalLikeCount(Integer totalLikeCount) {
		this.totalLikeCount = totalLikeCount;
	}

	public Integer getTotalCommentCount() {
		return totalCommentCount;
	}

	public void setTotalCommentCount(Integer totalCommentCount) {
		this.totalCommentCount = totalCommentCount;
	}
}